Bug 831443 - RFE: The owner and permission of a file or a directory on GlusterFS should be controlled also via swift interface.
RFE: The owner and permission of a file or a directory on GlusterFS should be...
Status: NEW
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: gluster-swift (Show other bugs)
unspecified
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Michael Adam
SATHEESARAN
: FutureFeature, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-12 20:59 EDT by Keisuke TAKAHASHI
Modified: 2017-06-28 05:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keisuke TAKAHASHI 2012-06-12 20:59:59 EDT
Description of problem:

On GlusterFS, the owner and permission of a directory or a file created via swift interface are fixed: each directory is to be "drwxr-xr-x root:root" and each file is to be "-rw------- root:root". So non-root users cannot access them and currently this is set as the default and fixed setting in the software.

Given the accessibility via GlusterFS as Unified File and Object Storage, however, swift interface should have an interface to control them.


Version-Release number of selected component (if applicable):
Red Hat Storage 2.0 beta 2


How reproducible:
Container creation or Object creation with the swift interface.


Steps to Reproduce:
1. curl -v -X PUT -H 'X-Auth-Token: AUTH_tkde3ad38b087b49bbbac0494f7600a554' https://example.storage.com:443/v1/AUTH_test/pictures -k
2. curl -v -X PUT -H 'X-Auth-Token: AUTH_tkde3ad38b087b49bbbac0494f7600a554' https://example.storage.com:443/v1/AUTH_test/pictures/dog -H 'Content-Length: 0' -k

  
Actual results:
[root@rhs20b2_001 AUTH_lv0]# ls -ld cntnr0
drwxr-xr-x 2 root root 12  6月 12 08:24 2012 cntnr0
[root@rhs20b2_001 AUTH_lv0]# ls -l cntnr0/obj0
drw------- 2 root root 12  6月 12 08:24 2012 obj0

Expected results:


Additional info:
Comment 2 Junaid 2012-06-26 06:18:06 EDT
Currently, we just create the files and directories as root, we can evaluate the ways to be more posix compliant.

Note You need to log in before you can comment on or make changes to this bug.